## bcachefs-tools 0.1+git20201025.742dbbdb

=== debian/control ===
Source: bcachefs-tools
Maintainer: Jonathan Carter <jcc@debian.org>
Section: utils
Priority: optional
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               pkg-config,
               python3-pytest,
	       libaio-dev,
	       libblkid-dev,
	       libkeyutils-dev,
	       liblz4-dev,
	       libscrypt-dev,
	       libsodium-dev,
               libudev-dev,
	       liburcu-dev,
	       libzstd-dev,
	       uuid-dev,
               valgrind,
	       zlib1g-dev
Homepage: https://bcachefs.org/
Vcs-Git: https://salsa.debian.org/jcc/bcachefs-tools.git
Vcs-Browser: https://salsa.debian.org/jcc/bcachefs-tools

Package: bcachefs-tools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: initramfs-tools | linux-initramfs-tool
Description: bcachefs userspace tools
 Userspace tools for bcachefs, a modern copy on write, checksumming, multi
 device filesystem.
 .
 Note: The current Debian kernels do not come with bcachefs support, you
 will have to use your own kernel or one provided by a 3rd party that
 contains bcachefs support.
