=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
PREFIX := /usr

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- "PREFIX=$(PREFIX)"

override_dh_auto_clean:
