=== debian/control ===
--- 
+++ 
@@ -2,23 +2,24 @@
 Maintainer: Jonathan Carter <jcc@debian.org>
 Section: utils
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                pkg-config,
+               python3-docutils,
                python3-pytest,
-	       libaio-dev,
-	       libblkid-dev,
-	       libkeyutils-dev,
-	       liblz4-dev,
-	       libscrypt-dev,
-	       libsodium-dev,
+               libaio-dev,
+               libfuse3-dev,
+               libblkid-dev,
+               libkeyutils-dev,
+               liblz4-dev,
+               libscrypt-dev,
+               libsodium-dev,
                libudev-dev,
-	       liburcu-dev,
-	       libzstd-dev,
-	       uuid-dev,
-               valgrind,
-	       zlib1g-dev
+               liburcu-dev,
+               libzstd-dev,
+               uuid-dev,
+               zlib1g-dev
 Homepage: https://bcachefs.org/
 Vcs-Git: https://salsa.debian.org/jcc/bcachefs-tools.git
 Vcs-Browser: https://salsa.debian.org/jcc/bcachefs-tools
