=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Maintainer: Jonathan Carter <jcc@debian.org>
 Section: utils
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               pkg-config,
+               cargo,
+               python3:native,
+               pkgconf,
                python3-docutils,
                python3-pytest,
                libaio-dev,
@@ -18,15 +20,44 @@
                libudev-dev,
                liburcu-dev,
                libzstd-dev,
+               systemd-dev,
                uuid-dev,
-               zlib1g-dev
+               zlib1g-dev,
+#              -- Cargo.toml
+               librust-atty-0.2-dev (>= 0.2.14-~~),
+               librust-log-0.4-dev,
+               librust-log-0+std-dev,
+               librust-colored-2-dev,
+               librust-clap-4-dev (>= 4.0.32-~~),
+               librust-clap-4+derive-dev,
+               librust-clap-4+wrap-help-dev,
+               librust-clap-complete-4-dev (>= 4.3.2-~~),
+	       librust-chrono-dev,
+	       librust-gag-dev,
+	       librust-getset-dev,
+               librust-anyhow-1.0-dev,
+               librust-libc-0.2-dev,
+               librust-udev-0-dev (>= 0.7-~~),
+               librust-uuid-1-dev (>= 1.2.2-~~),
+               librust-errno-0-dev (>= 0.2),
+               librust-either-1-dev (>= 1.5),
+               librust-rpassword-7-dev,
+               librust-byteorder-1-dev (>= 1.3),
+#              -- bch_bindgen/Cargo.toml
+#              anyhow, uuid, byteorder are covered above
+               librust-bitfield-0-dev (>= 0.14.0-~~),
+               librust-memoffset-0.6-dev,
+               librust-bitflags-1-dev (>= 1.3.2-~~),
+               librust-paste-1.0-dev,
+               librust-pkg-config-0.3-dev,
+               librust-bindgen-0.66-dev
 Homepage: https://bcachefs.org/
 Vcs-Git: https://salsa.debian.org/jcc/bcachefs-tools.git
 Vcs-Browser: https://salsa.debian.org/jcc/bcachefs-tools
 
 Package: bcachefs-tools
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, python3:any
 Recommends: initramfs-tools | linux-initramfs-tool
 Description: bcachefs userspace tools
  Userspace tools for bcachefs, a modern copy on write, checksumming, multi
