=== debian/control ===
--- 
+++ 
@@ -43,6 +43,7 @@
                librust-either-1-dev (>= 1.5),
                librust-rpassword-7-dev,
                librust-byteorder-1-dev (>= 1.3),
+	       librust-strum-dev (>= 0.26),
 #              -- bch_bindgen/Cargo.toml
 #              anyhow, uuid, byteorder are covered above
                librust-bitfield-0-dev (>= 0.14.0-~~),
