## bcachefs-tools 1.9.4

=== Makefile ===
--- 
+++ 
@@ -180,7 +180,7 @@
 
 libbcachefs.a: $(filter-out ./tests/%.o, $(OBJS))
 	@echo "    [AR]     $@"
-	$(Q)ar -rc $@ $+
+	$(Q)$(AR) -rc $@ $+
 
 tests/test_helper: $(filter ./tests/%.o, $(OBJS))
 	@echo "    [LD]     $@"
