=== debian/changelog ===
bcachefs-tools (1:1.13.0-1~exp1) experimental; urgency=medium

  * QA Upload
  * New upstream release
    - Regenerate dependency patch
  * New build-dependency: librust-env-logger-dev
  * New build-dependency: librust-owo-colors-dev
  * Add missing character in previous changelog entry
    (s/tom/toml)

 -- Jonathan Carter <jcc@debian.org>  Mon, 06 Jan 2025 12:37:38 +0200

bcachefs-tools (1:1.9.4-1~exp1) experimental; urgency=medium

  * New upstream release
  * Remove build-dependency on librust-colored-2-dev (no longer needed)
  * New build-dependencies: librust-rustix-dev, rustfmt,
                            librust-memoffset-06-dev -> librust-memoffset-dev
  * Refresh build-deps patch
  * Add upstream metadata
  * Remove self from maintaners (orphaning package)

 -- Jonathan Carter <jcc@debian.org>  Sat, 20 Jul 2024 04:19:03 +0200

bcachefs-tools (1:1.9.2-1) experimental; urgency=medium

  * New upstream release
  * Fix Vcs fields in debian/control

 -- Jonathan Carter <jcc@debian.org>  Thu, 11 Jul 2024 15:01:59 +0200

bcachefs-tools (1:1.9.1-1) unstable; urgency=medium

  * New upstream release
  * New build-depency: librust-strum-dev
  * Update copyright file

 -- Jonathan Carter <jcc@debian.org>  Thu, 20 Jun 2024 17:28:12 +0200
