=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: bcachefs-tools
-Maintainer: Jonathan Carter <jcc@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: utils
 Priority: optional
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                cargo,
+               rustfmt,
                python3:native,
                pkgconf,
                python3-docutils,
@@ -27,7 +28,6 @@
                librust-atty-0.2-dev (>= 0.2.14-~~),
                librust-log-0.4-dev,
                librust-log-0+std-dev,
-               librust-colored-2-dev,
                librust-clap-4-dev (>= 4.0.32-~~),
                librust-clap-4+derive-dev,
                librust-clap-4+wrap-help-dev,
@@ -43,18 +43,20 @@
                librust-either-1-dev (>= 1.5),
                librust-rpassword-7-dev,
                librust-byteorder-1-dev (>= 1.3),
+	       librust-owo-colors-dev,
 	       librust-strum-dev (>= 0.26),
+	       librust-env-logger-dev,
 #              -- bch_bindgen/Cargo.toml
 #              anyhow, uuid, byteorder are covered above
                librust-bitfield-0-dev (>= 0.14.0-~~),
-               librust-memoffset-0.6-dev,
+               librust-memoffset-dev,
                librust-bitflags-1-dev (>= 1.3.2-~~),
                librust-paste-1.0-dev,
                librust-pkg-config-0.3-dev,
-               librust-bindgen-0.66-dev
+               librust-bindgen-0.70-dev
 Homepage: https://bcachefs.org/
-Vcs-Git: https://salsa.debian.org/jcc/bcachefs-tools.git
-Vcs-Browser: https://salsa.debian.org/jcc/bcachefs-tools
+Vcs-Git: https://salsa.debian.org/debian/bcachefs-tools.git
+Vcs-Browser: https://salsa.debian.org/debian/bcachefs-tools
 
 Package: bcachefs-tools
 Architecture: linux-any
